COMMAND_WALKNORTH         = 2;
COMMAND_WALKSOUTH         = 3;
COMMAND_WALKEAST          = 4;
COMMAND_WALKWEST          = 5;
COMMAND_WALKNE            = 6;
COMMAND_WALKSE            = 7;
COMMAND_WALKNW            = 8;
COMMAND_WALKSW            = 9;
COMMAND_WAIT              = 10;
COMMAND_ESCAPE            = 11;
COMMAND_OK                = 12;
COMMAND_ENTER             = 13;
COMMAND_UNLOAD            = 14;
COMMAND_PICKUP            = 15;
COMMAND_DROP              = 16;
COMMAND_INVENTORY         = 17;
COMMAND_EQUIPMENT         = 18;
COMMAND_OPEN              = 19;
COMMAND_CLOSE             = 20;
COMMAND_LOOK              = 21;
COMMAND_ALTFIRE           = 23;
COMMAND_FIRE              = 24;
COMMAND_USE               = 25;
COMMAND_PLAYERINFO        = 26;
COMMAND_SAVE              = 27;
COMMAND_TACTIC            = 28;
COMMAND_RUNMODE           = 29;
COMMAND_MORE              = 31;
COMMAND_EXAMINENPC        = 32;
COMMAND_EXAMINEITEM       = 33;
COMMAND_SWAPWEAPON        = 34;
COMMAND_TRAITS            = 39;

COMMAND_SOUNDTOGGLE       = 86;
COMMAND_MUSICTOGGLE       = 87;

Keybindings = {
	LEFT      = COMMAND_WALKWEST,
	RIGHT     = COMMAND_WALKEAST,
	UP        = COMMAND_WALKNORTH,
	DOWN      = COMMAND_WALKSOUTH,
	PAGEUP    = COMMAND_WALKNE,
	PAGEDOWN  = COMMAND_WALKSE,
    HOME      = COMMAND_WALKNW,
	END       = COMMAND_WALKSW,
	ESCAPE    = COMMAND_ESCAPE,
	CENTER    = COMMAND_WAIT,
	["."]     = COMMAND_WAIT,
	ENTER     = COMMAND_OK,
    m         = COMMAND_MORE,
	[">"]     = COMMAND_ENTER,
	U         = COMMAND_UNLOAD,
	g         = COMMAND_PICKUP,
	d         = COMMAND_DROP,
	i         = COMMAND_INVENTORY,
	e         = COMMAND_EQUIPMENT,
	o         = COMMAND_OPEN,
	c         = COMMAND_CLOSE,
	l         = COMMAND_LOOK,
	f         = COMMAND_FIRE,    -- function() command.fire() end,
	F         = COMMAND_ALTFIRE, -- function() command.fire( true ) end,
	r         = function() command.reload() end,
	R         = function() command.reload( true ) end,
	u         = COMMAND_USE,
	Q         = function() command.quit() end,
	["?"]     = function() command.help() end,
	["@"]     = COMMAND_PLAYERINFO,
	S         = COMMAND_SAVE,
	TAB       = COMMAND_TACTIC,
	[","]     = COMMAND_RUNMODE,
	z         = COMMAND_SWAPWEAPON,
	F10       = function() command.screenshot() end,
	F9        = function() command.screenshot( true ) end,
	T         = COMMAND_TRAITS,
	["("]     = COMMAND_SOUNDTOGGLE,
	[")"]     = COMMAND_MUSICTOGGLE,
	P         = function() command.messages() end,
	A         = function() command.assemblies() end,
    -- Commands for blind mode:
	x         = COMMAND_EXAMINENPC,
	X         = COMMAND_EXAMINEITEM,
	-- QuickKeys
	["0"]     = function() command.quick_weapon('chainsaw') end,
	["1"]     = function() command.quick_weapon('knife') end,
	["2"]     = function() command.quick_weapon('pistol') end,
	["3"]     = function() command.quick_weapon('shotgun') end,
	["4"]     = function() command.quick_weapon('ashotgun') end,
	["5"]     = function() command.quick_weapon('dshotgun') end,
	["6"]     = function() command.quick_weapon('chaingun') end,
	["7"]     = function() command.quick_weapon('bazooka') end,
	["8"]     = function() command.quick_weapon('plasma') end,
	["9"]     = function() command.quick_weapon('bfg9000') end,
	
	-- Example of complex quickkey's
	N         = function()
					if not command.use_item("smed") then 
						ui.msg("No small medpacks left!") 
					end
				end,
	M         = function() 
					if not command.use_item("lmed") then 
						ui.msg("No large medpacks left!") 
					end
				end,
}
